org.wildfly.swarm.config.messaging.activemq.server

## Class JMSQueue<T extends JMSQueue<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.messaging.activemq.server.JMSQueue<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class JMSQueue<T extends JMSQueue<T>>
      extends HashMap

  Defines a JMS queue.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMSQueue(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Integer` | `consumerCount()` The number of consumers consuming messages from this queue.
    `T` | `consumerCount(Integer value)` The number of consumers consuming messages from this queue.
    `String` | `deadLetterAddress()` The address to send dead messages to.
    `T` | `deadLetterAddress(String value)` The address to send dead messages to.
    `Integer` | `deliveringCount()` The number of messages that this queue is currently delivering to its consumers.
    `T` | `deliveringCount(Integer value)` The number of messages that this queue is currently delivering to its consumers.
    `Boolean` | `durable()` Whether the queue is durable or not.
    `T` | `durable(Boolean value)` Whether the queue is durable or not.
    `List<String>` | `entries()` The jndi names the queue will be bound to.
    `T` | `entries(List<String> value)` The jndi names the queue will be bound to.
    `T` | `entries(String... args)` The jndi names the queue will be bound to.
    `T` | `entry(String value)` The jndi names the queue will be bound to.
    `String` | `expiryAddress()` The address to send expired messages to.
    `T` | `expiryAddress(String value)` The address to send expired messages to.
    `String` | `getKey()`
    `List<String>` | `legacyEntries()` The jndi names the queue will be bound to.
    `T` | `legacyEntries(List<String> value)` The jndi names the queue will be bound to.
    `T` | `legacyEntries(String... args)` The jndi names the queue will be bound to.
    `T` | `legacyEntry(String value)` The jndi names the queue will be bound to.
    `Long` | `messageCount()` The number of messages currently in this queue.
    `T` | `messageCount(Long value)` The number of messages currently in this queue.
    `Long` | `messagesAdded()` The number of messages added to this queue since it was created.
    `T` | `messagesAdded(Long value)` The number of messages added to this queue since it was created.
    `Boolean` | `paused()` Whether the queue is paused.
    `T` | `paused(Boolean value)` Whether the queue is paused.
    `String` | `queueAddress()` The queue address defines what address is used for routing messages.
    `T` | `queueAddress(String value)` The queue address defines what address is used for routing messages.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Long` | `scheduledCount()` The number of scheduled messages in this queue.
    `T` | `scheduledCount(Long value)` The number of scheduled messages in this queue.
    `String` | `selector()` The queue selector.
    `T` | `selector(String value)` The queue selector.
    `Boolean` | `temporary()` Whether the queue is temporary.
    `T` | `temporary(Boolean value)` Whether the queue is temporary.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### JMSQueue

          public JMSQueue(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### consumerCount

          public Integer consumerCount()

      The number of consumers consuming messages from this queue.

    - #### consumerCount

          public T consumerCount(Integer value)

      The number of consumers consuming messages from this queue.

    - #### deadLetterAddress

          public String deadLetterAddress()

      The address to send dead messages to.

    - #### deadLetterAddress

          public T deadLetterAddress(String value)

      The address to send dead messages to.

    - #### deliveringCount

          public Integer deliveringCount()

      The number of messages that this queue is currently delivering to its consumers.

    - #### deliveringCount

          public T deliveringCount(Integer value)

      The number of messages that this queue is currently delivering to its consumers.

    - #### durable

          public Boolean durable()

      Whether the queue is durable or not.

    - #### durable

          public T durable(Boolean value)

      Whether the queue is durable or not.

    - #### entries

          public List<String> entries()

      The jndi names the queue will be bound to.

    - #### entries

          public T entries(List<String> value)

      The jndi names the queue will be bound to.

    - #### entry

          public T entry(String value)

      The jndi names the queue will be bound to.

    - #### entries

          public T entries(String... args)

      The jndi names the queue will be bound to.

    - #### expiryAddress

          public String expiryAddress()

      The address to send expired messages to.

    - #### expiryAddress

          public T expiryAddress(String value)

      The address to send expired messages to.

    - #### legacyEntries

          public List<String> legacyEntries()

      The jndi names the queue will be bound to.

    - #### legacyEntries

          public T legacyEntries(List<String> value)

      The jndi names the queue will be bound to.

    - #### legacyEntry

          public T legacyEntry(String value)

      The jndi names the queue will be bound to.

    - #### legacyEntries

          public T legacyEntries(String... args)

      The jndi names the queue will be bound to.

    - #### messageCount

          public Long messageCount()

      The number of messages currently in this queue.

    - #### messageCount

          public T messageCount(Long value)

      The number of messages currently in this queue.

    - #### messagesAdded

          public Long messagesAdded()

      The number of messages added to this queue since it was created.

    - #### messagesAdded

          public T messagesAdded(Long value)

      The number of messages added to this queue since it was created.

    - #### paused

          public Boolean paused()

      Whether the queue is paused.

    - #### paused

          public T paused(Boolean value)

      Whether the queue is paused.

    - #### queueAddress

          public String queueAddress()

      The queue address defines what address is used for routing messages.

    - #### queueAddress

          public T queueAddress(String value)

      The queue address defines what address is used for routing messages.

    - #### scheduledCount

          public Long scheduledCount()

      The number of scheduled messages in this queue.

    - #### scheduledCount

          public T scheduledCount(Long value)

      The number of scheduled messages in this queue.

    - #### selector

          public String selector()

      The queue selector.

    - #### selector

          public T selector(String value)

      The queue selector.

    - #### temporary

          public Boolean temporary()

      Whether the queue is temporary.

    - #### temporary

          public T temporary(Boolean value)

      Whether the queue is temporary.

Copyright © 2017 JBoss by Red Hat. All rights reserved.